Get AI agent review item PR diff
Get the file diff of the pull request linked to a review item
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
fingerprint | string | Yes |
Responses
200 — Success
{
"results": {
"truncated": true,
"totalDeletions": 0,
"totalAdditions": 0,
"files": [
{
"after": "string",
"before": "string",
"deletions": 0,
"additions": 0,
"status": "string",
"path": "string"
}
],
"prUrl": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}